      subroutine rpSnapshot(rho_0,mom_0,w_0,signif_0,wave_type_0,
     &     xL,xM,xR,time,labelLgth,label)
      implicit none
      
      include 'wave_constants.h'

c     Input:
      real*8 rho_0(N_STATES),mom_0(N_STATES),w_0(N_EDGES)
      integer signif_0(N_WAVES),wave_type_0(N_WAVES)
      real*8 xL,xM,xR,time
      integer labelLgth
      character*80 label
c     Auxiliary:
      integer iWave,dir,iLedge,iRedge,iLstate,iRstate
      real*8 xLedge,xRedge

      call rmOpen(labelLgth,label)
      
c     Leftmost State      
      call rmWrite(rho_0(1),mom_0(1),xL)
      do iWave=1,N_WAVES

         dir = WAVE_TO_DIR(iWave)
         iLedge = WAVE_TO_EDGE_L(iWave)
         iRedge = WAVE_TO_EDGE_R(iWave)
         iLstate = WAVE_TO_STATE_L(iWave)
         iRstate = WAVE_TO_STATE_R(iWave)
         xLedge = xM + w_0(iLedge)*time
         xRedge = xM + w_0(iRedge)*time

         call rmWrite(rho_0(iLstate),mom_0(iLstate),xLedge)
         if (wave_type_0(iWave) .eq. RFN) then
            call fanSnapshot(
     &           rho_0(iLstate),mom_0(iLstate),
     &           rho_0(iRstate),mom_0(iRstate),dir,xM,time)
         endif
         call rmWrite(rho_0(iRstate),mom_0(iRstate),xRedge)
      enddo
c     Rightmost state
      call rmWrite(rho_0(N_STATES),mom_0(N_STATES),xR)

      call rmClose()

      end
